package org.wcs.serve.service.intf;

import org.wcs.model.dto.serve.conveyStand.*;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.common.PageDataResponse;
import org.wcs.model.vo.serve.conveyStand.ConveyCheckStandVo;
import org.wcs.model.vo.serve.conveyStand.ConveyDeliverStandVo;
import org.wcs.model.vo.serve.conveyStand.ConveyPickStandVo;

public interface IConveyStandService {

    /* 输送线捡选站台 */
    AppServeDataResponse<PageDataResponse<ConveyPickStandVo>> queryPickStand(QueryPickStandReq request, Integer pageSize, Integer pageIndex);
    AppServeResponse addConveyPickStand(AddConveyPickStandReq request);
    AppServeResponse deleteConveyPickStand(String standId);
    AppServeResponse updateConveyPickStand(UpdateConveyPickStandReq request);
    /* 输送线复核站台 */
    AppServeDataResponse<PageDataResponse<ConveyCheckStandVo>> queryCheckStand(QueryCheckStandReq request, Integer pageSize, Integer pageIndex);
    AppServeResponse addConveyCheckStand(AddConveyCheckStandReq request);
    AppServeResponse deleteConveyCheckStand(String standId);
    AppServeResponse updateConveyCheckStand(UpdateConveyCheckStandReq request);
    /* 输送线发货站台 */
    AppServeDataResponse<PageDataResponse<ConveyDeliverStandVo>> queryDeliverStand(QueryDeliverStandReq request, Integer pageSize, Integer pageIndex); // 查询发货站台
    AppServeResponse addConveyDeliverStand(AddConveyDeliverStandReq request); // 添加发货站台
    AppServeResponse deleteConveyDeliverStand(String standId); // 删除发货站台
    AppServeResponse updateConveyDeliverStand(UpdateConveyDeliverStandReq request); // 修改发货站台
}
